How to open and modify the examples
===================================

The examples in this directory are [IPython](http://ipython.org/) notebooks.

IPython provides the excellent Notebook viewer, there is no need to install any
software, just open any of the links below in a we browser to view the corresponding
notebook.

* [dsdemo1.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/dsdemo1.ipynb),
  synthesis of a Noise Transfer Function (NTF) (notebook port of the interactive `dsdemo1.m`).
* [dsdemo2.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/dsdemo2.ipynb),
  simulation of Delta Sigma modulators (notebook port of the interactive `dsdemo2.m`).
* [dsdemo3.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/dsdemo3.ipynb),
  realization of a modulator and dynamic range scaling (notebook port of the interactive `dsdemo3.m`).
* [dsdemo4.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/dsdemo4.ipynb),
  audio demo of mod1 and mod2 (notebook port of `dsdemo4.m`). [Audio file](https://raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/sax.wav.b64).
* [MASH_example.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/MASH_example.ipynb),
  an example of the simulation of a 2-2 MASH cascade.
* [dsexample1.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/dsexample1.ipynb),
  synthesis of a 5th-order, low-pass modulator (Python version of `dsexample1.m`).
* [dsexample2.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/dsexample2.ipynb),
  synthesis of an 8th-order, band-pass modulator (Python version of `dsexample2.m`).
* [dsexample3.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/dsexample3.ipynb),
  synthesis of a continuous-time lowpass modulator (Python version of `dsexample3.m`).
* [dsexample4.ipynb](http://nbviewer.ipython.org/urls/raw.githubusercontent.com/ggventurini/python-deltasigma/master/examples/dsexample3.ipynb),
  synthesis and simulation of a 4th-order bandpass quadrature modulator (Python version of `dsexample4.m`).

To modify the examples, you will need to install IPython.

If you have some examples you would like to share, or corrections,
[send me a mail](http://tinymailto.com/5310),
and I will add them to the above list.

